Name:           perl-Text-RecordParser
Version:        1.6.5
Release:        1%{?dist}
Summary:        Read record-oriented files
License:        GPL+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Text-RecordParser/
Source0:        http://www.cpan.org/authors/id/K/KC/KCLARK/Text-RecordParser-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Class::Accessor)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(GraphViz)
BuildRequires:  perl(IO::Scalar)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Readonly)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Text::Autoformat)
BuildRequires:  perl(Text::TabularDisplay) >= 1.22
Requires:       perl(Class::Accessor)
Requires:       perl(GraphViz)
Requires:       perl(IO::Scalar)
Requires:       perl(List::MoreUtils)
Requires:       perl(List::Util)
Requires:       perl(Readonly)
Requires:       perl(Text::Autoformat)
Requires:       perl(Text::TabularDisplay) >= 1.22
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module is for reading record-oriented data in a delimited text file.
The most common example have records separated by newlines and fields
separated by commas or tabs, but this module aims to provide a consistent
interface for handling sequential records in a file however they may be
delimited. Typically this data lists the fields in the first line of the
file, in which case you should call bind_header to bind the field name (or
not, and it will be called implicitly). If the first line contains data,
you can still bind your own field names via bind_fields. Either way, you
can then use many methods to get at the data as arrays or hashes.

%prep
%setup -q -n Text-RecordParser-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README TODO
%{perl_vendorlib}/*
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*

%changelog
* Mon May 04 2015 Dave Cross <dave@mag-sol.com> 1.6.5-1
- Specfile autogenerated by cpanspec 1.78.
